﻿-- This is the first method that gets called
function start()

	Core.setWindowTitle("Bicycle Simulator 1984")

	-- Include external files
	Core.load("ld48/utils.lua")
	Core.load("ld48/logic.lua")
	Core.load("ld48/sounds.lua")

	GameObject.init()

end

-- Called when the screen gets a full redraw (when closing windows, etc.)
-- Can be requested using Screen.redraw()
function redraw()
	GameObject.draw()
end

-- This method gets called every frame
function update(frameTime)
	GameObject.update(frameTime)
end

-- Called when you press a key
function key(keyCode, pressed, handled)
	GameObject.onKey(keyCode, pressed, handled)
end
